Subject: Re: [PATCH] Check mac-address first in fsl_soc.c

From: Timur Tabi <[email-masked]>
Date: Fri, 09 Feb 2007 15:51:25 -0600

Jerry Van Baren wrote:

> If you want to check for common errors, add a check that the first byte 
> does not have the multicast flag set.  

Actually, I'm not checking for errors when I check for all zeros.  I'm checking 
for a situation where the property exists in the device tree, but it has not 
been initialized by U-Boot.

Some versions of U-Boot only update the local-mac-address property, but some 
device trees have both mac-address and local-mac-address in them.  In this case, 
mac-address will be all zeros, and the MAC address will be in local-mac-address.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale